CALL(1)

NAME
call - make an AX.25, NET/ROM or Rose connection.

SYNOPSIS
For AX.25
call [-b l|e] [-d] [-h] [-m s|e] [-p paclen] [-s mycall] [-r] [-t] [-T timeout] [-v] [-w window] [-W] port callsign [[via] digipeaters.....]

For NET/ROM
call [-d] [-h] [-p paclen] [-r] [-t] [-T timeout] [-v] port callsign

For Rose
call [-d] [-h] [-r] [-t] [-T timeout] [-v] port callsign address [[via] digipeater]

DESCRIPTION

Call is the general purpose AX.25, NET/ROM and Rose connection program. As is normal in AX.25 it runs entirely in line mode. All CR/LF translation is done transparently. The program provides ASCII, YAPP, YAPP-C and 7+ file transfer facilities. Some of the options are only valid in AX.25 mode, the program will quietly ignore them if given in NET/ROM mode or in Rose mode.

This version of call incorporates many changes that include a much improved user interface. The port name is mandatory and is the name of the port which the connection will be made on. The port name may be either an AX.25, a NET/ROM port or a Rose port, call will determine which automatically.

When using NET/ROM the use of digipeaters is meaningless and is not supported. However when using Rose up to one digipeater may be specified, as well as the Rose address of the distant node and the callsign of the remote station. The Rose address must be ten digits long and it must exist in the Rose node tables. For Rose connects to work axparms must have been used to set a callsign/uid mapping for the userid in use.

OPTIONS

-8  UTF-8 encoding (default)

-b l|e
    Sets the method of backoff to use with AX.25 connections. The default is taken from the port specification, but can be overridden by this option. Valid values are l for linear backoff, and e for exponential backoff.

-d  Turn on socket level debugging.

-h  Selects Slave mode.

-i  Use IBM850 encoding -m s|e Sets the AX.25 mode to use. The default is taken from the port specification, but can be overridden by this option. Valid values are s for normal (modulus 8) AX.25 operation, or e for extended (modulus 128) AX.25 operation.

-p paclen
    Specify a specific maximum amount of data to be sent in each AX.25 packet.

-r  Selects Raw mode.

-s mycall
    Connect using the specified source call (you may need to be root).

-t  Selects Talk mode.

-v  Display the version.

-w window
    Specify a specific AX.25 window for this connection. Only valid in AX.25 mode.

-S  Be silent. Useful for using call in shellscripts (together with option -r) in order to be really transparent.

-R  Disable all remote commands like autobin (#BIN#), 7plus downloads, //echo, etc. This is useful for scripting where you just don't like the remote site to trigger uncaught conditions here.

-T timeout
    Set idle timeout seconds after a connection will be closed automatically when there's no data being transferred (in- and outbound). If timeout is set to 3600, the connection will close after 1h inactivity. A value of 0.5 is 500ms.

-W  Wait for remote disconnect even if stdin is closed. Normaly, "echo q | call ax0 db0fhn" closes immediately after "echo q" terminates; thus we never see the greeting from db0fhn. With the -W option, call waits until the ax25-connection is disconnected (i.e. db0fhn disconnects after "q" command). Very useful for scripting. You might like to combine it with the -T option.

The call program interprets lines beginning with a '~' specially. The following '~' escapes are available.

~?  List escapes

~~  A ~ symbol

~.  Close connection

~! [command]
    Run a command

~0  Change to Raw mode

~1  Change to Slave mode

~2  Change to Talk mode

~8  UTF-8 encoding

~a  Start a file transfer (Autobin)

~b  Start a file transfer (Binary)

~c  Close the logfile

~h  List escapes

~i  IBM850 encoding

~o [filename]
    Open a logfile (default 'logfile.txt')

~r  Reconnect to remote station

~s  Stop an upload

~u [filename]
    Upload a file (ASCII upload)

~yu [filename]
    Upload a file (YAPP upload)

~yd [filename]
    Download a file (YAPP download)

~z  Suspend program

The program provides no terminal emulation features. These are left up to the console facilities of the terminal in use. The program is however '8 bit clean'.

FILES
/proc/net/nr_nodes
/proc/net/rose_nodes
/etc/ax25/axports
/etc/ax25/nrports
/etc/ax25/rsports

SEE ALSO
listen(1), mheard(1), ax25(4), netrom(4), rose(4), axports(5), nrports(5), rsports(5), axparms(8), nrparms(8), rsparms(8).

AUTHORS
Alexander Tietzel DG6XA <TIETZE_A@etech.fh-hamburg.de>
Joerg Reuter DL1BKE <jreuter@poboxes.com>
Alan Cox GW4PTS <alan@cymru.net>
Jonathan Naylor G4KLX <g4klx@g4klx.demon.co.uk>
Steve Henson G6IXS <shenson@nyx.cs.du.edu>